itpp::Complex_Normal_RNG Class Reference
Base Module » Random Number Generation

A Complex Normal Source. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Complex_Normal_RNG (std::complex< double > mean, double variance)
| Constructor. Set mean and variance.
| Complex_Normal_RNG ()
| Default constructor.
void | setup (std::complex< double > mean, double variance)
| Set mean and variance.
void | get_setup (std::complex< double > &mean, double &variance)
| Get mean and variance.
std::complex< double > | operator() ()
| Get one sample.
cvec | operator() (int n)
| Get a sample vector.
cmat | operator() (int h, int w)
| Get a sample matrix.
std::complex< double > | sample ()
| Get a Complex Normal (0,1) distributed sample.
void | sample_vector (int size, cvec &out)
| Get a Complex Normal (0,1) distributed vector.
void | sample_matrix (int rows, int cols, cmat &out)
| Get a Complex Normal (0,1) distributed matrix.
Complex_Normal_RNG & | operator= (const Complex_Normal_RNG &)
| Dummy assignment operator - MSVC++ warning C4512.

## Detailed Description

A Complex Normal Source.

Definition at line 579 of file random.h.

## Constructor & Destructor Documentation

## Complex_Normal_RNG() [1/2]

itpp::Complex_Normal_RNG::Complex_Normal_RNG | ( | std::complex< double > | mean,
|  | double | variance )

inline

Constructor. Set mean and variance.

Definition at line 583 of file random.h.

References itpp::mean(), setup(), itpp::sqrt(), and itpp::variance().

Referenced by operator=().

## Complex_Normal_RNG() [2/2]

itpp::Complex_Normal_RNG::Complex_Normal_RNG | ( |  | ) |

inline

Default constructor.

Definition at line 588 of file random.h.

References itpp::sqrt().

## Member Function Documentation

## setup()

void itpp::Complex_Normal_RNG::setup | ( | std::complex< double > | mean,
|  | double | variance )

inline

Set mean and variance.

Definition at line 590 of file random.h.

References itpp::mean(), and itpp::variance().

Referenced by Complex_Normal_RNG().

## get_setup()

void itpp::Complex_Normal_RNG::get_setup | ( | std::complex< double > & | mean,
|  | double & | variance )

inline

Get mean and variance.

Definition at line 596 of file random.h.

References itpp::mean(), and itpp::variance().

## operator()() [1/3]

std::complex< double > itpp::Complex_Normal_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 601 of file random.h.

References sample().

## operator()() [2/3]

cvec itpp::Complex_Normal_RNG::operator() | ( | int | n | ) |

inline

Get a sample vector.

Definition at line 603 of file random.h.

References sample_vector().

## operator()() [3/3]

cmat itpp::Complex_Normal_RNG::operator() | ( | int | h,
|  | int | w )

inline

Get a sample matrix.

Definition at line 611 of file random.h.

References sample_matrix().

## sample()

std::complex< double > itpp::Complex_Normal_RNG::sample | ( |  | ) |

inline

Get a Complex Normal (0,1) distributed sample.

Definition at line 619 of file random.h.

Referenced by operator()(), itpp::randn_c(), sample_matrix(), and sample_vector().

## sample_vector()

void itpp::Complex_Normal_RNG::sample_vector | ( | int | size,
|  | cvec & | out )

inline

Get a Complex Normal (0,1) distributed vector.

Definition at line 626 of file random.h.

References sample(), and itpp::size().

Referenced by operator()(), and itpp::randn_c().

## sample_matrix()

void itpp::Complex_Normal_RNG::sample_matrix | ( | int | rows,
|  | int | cols,
|  | cmat & | out )

inline

Get a Complex Normal (0,1) distributed matrix.

Definition at line 632 of file random.h.

References sample().

Referenced by operator()(), and itpp::randn_c().

## operator=()

Complex_Normal_RNG & itpp::Complex_Normal_RNG::operator= | ( | const Complex_Normal_RNG & |  | ) |

inline

Dummy assignment operator - MSVC++ warning C4512.

Definition at line 638 of file random.h.

References Complex_Normal_RNG().

The documentation for this class was generated from the following file:

- itpp/base/random.h

Generated on for IT++ by Doxygen 1.15.0